Last Comment Bug 24846 - [FEATURE] font preference UI in prominent startup page/tab
: [FEATURE] font preference UI in prominent startup page/tab
Status: RESOLVED EXPIRED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: jag (Peter Annema)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-23 16:13 PST by Erik van der Poel
Modified: 2010-04-28 12:56 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Erik van der Poel 2000-01-23 16:13:42 PST
Default font size is one of the more important settings in an Internet browser.
It is suggested that we have a very simple UI to set default font faces and
sizes, in the installer. Here is an excerpt from the discussion:


    The sizes and fonts of text in Web pages are
    often based on your preferences. Select your
    preferred text sizes and fonts, making sure
    all sizes remain legible:
     __________________________________________
    | This is "medium" text. 0123456789&ABCD |A|
    | This is "small" text. 0123456789&ABCDE | |
    | This is "x-small" text. 0123456789&ABC |x|
    |_This_is_"xx-small"_text._0123456789&AB_|V|
    [<]_x__________________________________[>]
                    ________   _________
                   [_Larger_] [_Smaller_]  16
                    ____________________
            Serif: [_Times_New_Roman____]  (x)
                    ____________________
       Sans-serif: [_Arial______________]  ( )

                               _______    ____
                              [_Reset_]  [_OK_]



Note the word "often" in the setup. And larger/smaller buttons accompanied
by a counter showing state - the px value on "medium". All onclick events
update the preview. Larger/smaller buttons decrement the counter by 1px
below 16px, and increment it by 2+px above 16px.
Comment 1 Daniel Veditz [:dveditz] 2000-01-24 00:55:06 PST
This is an enhancement, marking as such. Other solutions were discussed in the 
newsgroups that do not involve the installer, and I've never seen an installer 
that sets such trivial preference details. Default font size should be set 
based on some relation to the user's preferred system font size.

Further more I believe it's mostly the Unix folk having font size issues and we 
don't have an installer for Unix.
Comment 2 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2000-01-24 06:01:55 PST
I don't think it's mostly Unix folk.  The problem is a basic one on the web. 
Web "designers" believe that users never change the default font size, so they
write all their pages to *lower* the font size from the default, since they
think the defaults look to big.  This causes problems for users for whom the
default isn't too big.  If this were part of the UI of a major browser, then
designers would start assuming that users set their font size as they want it
and stop trying to mess with it.

IMO, font size is the MOST important part of the UI of a browser.  The most
common complaints I hear about using the web from people my parents age are that
all the fonts are too small, and they can't read anything.  Many of these people
don't know how to change the default font size.
Comment 3 fahrner 2000-01-28 22:16:09 PST
I agree very strongly with David. This is not a "trivial preference detail." It is as essential as any 
other particular captured in the profile setup. It's the "do you read me/can you read this?" 
question, properly prior to any further communication. There are no XP system preferences for 
"medium" text size anyway - only for specific OS contexts like window or icon labels. Please 
review the relevant threads and reconsider.

Visit your favorite high-traffic site and determine the percentage of the source HTML size 
responsible for setting the font size to something lower than the obscure user preference size, 
presumedly left at the 12pt default (16px at  the Windows default). My investigations turn up 
figures between 10 and 30%. Consider the speed (to say nothing of usability) benefits if font-size 
UI is rescued from its present obscurity and authors begin to respect the user font-size 
pr
Comment 4 Sean Su 2000-01-31 12:44:53 PST
adding selmer to the CC: list in case this could be better dealt with within the 
profile manager.
Comment 5 selmer (gone) 2000-01-31 14:35:03 PST
Whereas preferences are, in fact, stored in the profile, profile manager does 
not manage preferences.  The preference manager does that.  In any case, the 
fundamental decision would be whether to bulk the initial startup with this 
added dialog.  If this gets added to the installer, it must be controlled with a 
config.ini setting so it can be turned off at need.  

The profile manager would not be the place to implement this dialog.

It's also not clear to me why Edit|Preferences|Appearance-Fonts is too hard to 
discover.  Isn't that the standard place to find such a thing with ANY app?
Comment 6 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2000-01-31 18:47:37 PST
It's perfectly clear to you and me, but not to 90% of users.  Therefore, web
"designers" believe that they should design web pages assuming that users never
change the default preferences.  Since the default fonts are too large for their
(young) eyes, web "designers" make pages that reduce font size.  Some of these
set fixed font sizes.  This makes web pages even harder to read for older users
than they would be if they just had the default.

Web pages are about reading text.  The size of that text is one of the most
important usability aspects of the browser.
Comment 7 Daniel Veditz [:dveditz] 2000-01-31 19:12:57 PST
Reassigning to German, we obviously need this looked at from a UE perspective.

The install wizard is *not* the right place for this as it knows nothing about 
profiles plus the wizards are platform native and can't show what Mozilla is 
going to show.

The Profile Creation code could do this, but it seems mighty odd to special 
case this one preference (though I can see your point).

Or we can admit the default font size is wrong and adjust it based on the 
screen size or something. Or make an additional preference that sets a minimum 
font size, or which says "ignore font size settings", or ...?
Comment 8 german 2000-02-01 18:06:33 PST
I would also not be sure why to single out this preference, I am sure other will 
make the case for other things to add to the installer. Why not have a start page 
when the browser gets loaded the first time that show the fonty choices more 
accurately. 
Keep in mind that:
- the installer is all native and does not have any awareness of how Gecko 
renders fonts
- the installer should be kept to a bare minimum to minimize the initial download
- users will likely not have the patience to walk through multiple setting 
dialogs before they can finally use the product.
Therefore my vote goes to doing this in an  intelligent startup XUL/HTML page. 
Frowarding to Don to look at possible implementations...
+ G
Comment 9 fahrner 2000-02-01 20:35:16 PST
German's "smart startup page" sounds like a sound approach to me. The point was never 
really to get this pref in the installer, but to get it "front and center" someplace in the 
configuration process
Comment 10 kevinyen 2000-02-02 14:40:50 PST
Adding myself to cc list.
If we do anything, it will have to be done in consideration of the 
install/startup/activation experience.

thx,
kevin
Comment 11 don 2000-05-25 17:24:31 PDT
Move to M20 target milestone.
Comment 12 timeless 2000-09-10 02:43:57 PDT
Can we agree that installer is the wrong place? I think a preference chrome 
loaded in the sidebar on first run would probably work, and we do have bugs 
about useful preferences in the sidebar [it'll never happen].

Asa should we move this somewhere else?
Comment 13 Asa Dotzler [:asa] 2000-09-11 16:53:04 PDT
I like german's suggestion.  I would further suggest that if someone decides to
bring this font choice to "front and center" either in the installer, the
sidebar or a startup page that it would probably be a good idea to disucss this
in the newsgroups and look for some consensus before spending significant
resources on it.
Comment 14 Viswanath Ramachandran 2000-12-06 11:31:01 PST
Since Don has left, Vishy is taking his bugs in bulk, pending reassignment.
thanks,
	Vishy
Comment 15 Daniel Veditz [:dveditz] 2000-12-13 21:34:31 PST
Changing obsolete M20+ milestones to closest equivalent, "Future"
Comment 16 Blake Ross 2002-02-11 20:21:37 PST
-> default owner
Comment 17 Daniel Veditz [:dveditz] 2002-02-11 21:24:05 PST
Thought this was dead long ago. Let one guy in and everyone will want to be set
in the install.
Comment 18 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2002-02-11 21:29:26 PST
See comment 8, comment 9, and comment 12.
Comment 19 Daniel Veditz [:dveditz] 2002-02-11 22:21:40 PST
If someone wants to re-word the summary so it doesn't sound like an Installer
request and reassign to XPapps then feel free to reopen. Since blaker just
reassigned this out of the XPapps group I'm assuming they don't want to do it
either.
Comment 20 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2002-02-12 06:29:50 PST
I think blake just did a mass-reassign of vishy's bugs to the default owner.
Comment 21 David Baron :dbaron: ⌚️UTC+1 (mostly busy through August 4; review requests must explain patch) 2002-02-12 06:30:31 PST
->XPApps
Comment 22 Patrick McFarland (Diablo-D3) 2002-04-28 22:06:59 PDT
I agree, we should have something like was originally suggested by Erik. I also
suggest on platforms that have font families (Like on X) we should be trying to
look for Microsoft's free ttf fonts. (Yes, I know its Microsoft, but they look
very good) From what I've seen (atleast at 75dpi font (_not_ 72dpi))
monotype-arial of serif, monotype-times new roman as sans-serif, and
monotype-courier new as monotype. With, of course, proportional set as serif @
16, and monospace set as 12, with a minimum font size of 10.... that whole setup
looks _alot_ like msie, and imho looks very good. However, I dont know what msie
uses for cursive and fantasy by default, but they are probably monotype or
microsoft family fonts.
Comment 23 Robert Kaiser 2009-06-14 06:59:51 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 24 Robert Kaiser 2009-06-14 07:02:40 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 25 Robert Kaiser 2009-06-14 07:08:33 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 26 Robert Kaiser 2009-06-14 11:47:10 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 27 Robert Kaiser 2009-06-14 14:35:49 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 28 Robert Kaiser 2009-06-14 14:55:40 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 29 Robert Kaiser 2009-06-14 15:01:18 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 30 Robert Kaiser 2010-04-28 12:56:29 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but still has no comment since the inception of the SeaMonkey project 5 years ago.

Because of this, we're resolving the bug as EXPIRED.

If you still can reproduce the bug on SeaMonkey 2 or otherwise think it's still valid, please REOPEN it and if it is a platform or toolkit issue, move it to the according component.

Query tag for this change: EXPIRED-20100420

Note You need to log in before you can comment on or make changes to this bug.